ge-yast - action #52286
coordination # 51665 (New): [functional][y][s390][epic] Create new test suite for s390 specific yast modules

[functional][y] automate scenario for yast2 dump YaST module on s390x
2019-05-29 08:11 - riafarov

Status: Blocked Start date: 2019-05-29
Priority: Normal Due date:

Assignee: oorlov % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Current

Description

Yast2 dump module test proposal:

That module is a front-end for mkdump. It does this:

mkdump --list-dasd
mkdump --list-zfcp
mkdump [--force] /dev/[device]

Te mkdump modules automatically lists DASD or ZFCP device that can be used as dump device. Such device should be of ECKD
type (mkdump does not work with FBA, this can be subject to a soft failure) it must have exclusive access and have VM's RAM+
10MB of free space.

Acceptance criteria

1. Smoke test for yast2 dump module is enabled on s390x at least for SLE 15 SP2

Suggestions

1 - Activate some DASD and/or ZFCP device:
This can be done in various ways:

e During installation,

e Later by command line as in bootloader (command: "dasd_configure 0.0.200 1". That disk should be free is is "dumpable".)

e By putting this test module after the ones for dasd and/or zfcp, which also allow to enable disks. See also: the SUT for ZFCP,
s390x-zfcp.

2 - Start yast2 dump, initialize some disk for dumping.
Don't forget to signal https://bugzilla.suse.com/show_bug.cgi?id=1135241 as soft-failure if an incompatible disk is shown here.

3 - check if disk is marked as dump disk, either in the module itself or with mkdump --list-dump

Documentation:

About dump devices : https:/public.dhe.ibm.com/software/dw/linux390/docu/ljs0dt00.pdf

ZFCP and multipath tutorial (very good):
https://share.confex.com/share/117/webprogram/Handout/Session9478/SHARE %20Boston%209222%20-%20SCSI.pdf

History

#1 - 2019-06-11 08:07 - SLindoMansilla

- Category set to New test

As a result of backlog triaging (see https://progress.opensuse.org/projects/openqgatests/wiki#ticket-backlog-triaging for more information).

Please, feel free to adjust the category or the "[label]" if you think different.

#2 - 2019-07-10 07:07 - riafarov
- Due date changed from 2019-07-23 to 2019-07-30

2021-10-18 1/2



https://build.opensuse.org/package/view_file/Base:System/s390-tools/mkdump.pl?expand=1
https://bugzilla.suse.com/show_bug.cgi?id=1135241
https://openqa.suse.de/tests/2895489/modules/disk_activation/steps/1/src
https://openqa.suse.de/tests/2895706#step/bootloader_s390/35
https://openqa.suse.de/tests/2895872
https://bugzilla.suse.com/show_bug.cgi?id=1135241
https://public.dhe.ibm.com/software/dw/linux390/docu/ljs0dt00.pdf
https://share.confex.com/share/117/webprogram/Handout/Session9478/SHARE%20Boston%209222%20-%20SCSI.pdf
https://progress.opensuse.org/projects/openqatests/wiki#ticket-backlog-triaging

#3 - 2019-07-10 09:08 - riafarov
- Description updated
- Due date deleted (2019-07-30)

- Assignee set to riafarov

#5 - 2019-07-17 06:47 - riafarov

- Status changed from New to Blocked

With mentioned bugs seems that we can only do very limited testing of the modules. Let's see if we'll get any of those issues fixed before proceeding.

#6 - 2019-08-30 05:12 - riafarov
- Due date set to 2020-02-04

- Target version changed from Milestone 27 to Milestone 29

#7 - 2019-10-16 06:28 - riafarov

- Target version changed from Milestone 29 to Milestone 30+

#8 - 2020-01-03 11:02 - mgriessmeier

- Target version changed from Milestone 30+ to Milestone 30

bulk moved to M30 for revisiting

#9 - 2020-02-03 05:39 - riafarov
- Due date changed from 2020-02-04 to 2020-04-07

- Target version changed from Milestone 30 to Milestone 33

#10 - 2020-03-25 13:39 - riafarov
- Due date changed from 2020-04-07 to 2021-01-12

- Target version changed from Milestone 33 to future

Unfortunately, we cannot expect the fix anytime soon.

#11 - 2020-05-04 11:32 - SLindoMansilla
- Due date deleted (2021-01-12)

#12 - 2020-05-04 11:33 - SLindoMansilla
- Due date set to 2021-01-12

#13 - 2020-10-21 09:23 - riafarov

- Project changed from openQA Tests to ge-yast
- Due date deleted (2021-01-12)

- Category deleted (New test)

#14 - 2021-02-22 14:23 - riafarov
- Target version changed from future to SLE 15 SP3

#15 - 2021-05-06 10:02 - riafarov

- Assignee changed from riafarov to oorlov

#16 - 2021-07-20 16:16 - oorlov
- Target version changed from SLE 15 SP3 to Current
